{ lib
, python3
, clicks
}: let
  pname = "beancount_share";
  version = "0.1.10";
in python3.pkgs.buildPythonApplication {
  inherit pname version;

  src = python3.pkgs.fetchPypi {
    inherit pname version;
    sha256 = "sha256-fnbdzijt/kCi4sUxCf2IPkpCjdwz9cZyCOJyQTAKkaY=";
  };

  format = "pyproject";

  propagatedBuildInputs = [
    python3.pkgs.beancount
    clicks.beancount-beancount_plugin_utils
  ];

  buildInputs = [
    python3.pkgs.setuptools
    python3.pkgs.pdm-pep517
  ];

  meta = {
    homepage = "https://github.com/Akuukis/beancount_share";
    description = "A beancount plugin to share expenses with external partners within one ledger.";
    license = lib.licenses.agpl3Only;
    maintainers = [ lib.maintainers.minion3665 ];
  };
}
